jQuery(document).ready(function ($) {
    $('.menuBtn').click(function () {
        $('#header').toggleClass('show');
    });

    $('.slideritems').slick({
        dots: false,
        prevArrow: '<svg class="slick-prev" width="19" height="32" viewBox="0 0 19 32" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="stroke" d="M16.6031 30L2.20312 16L16.6031 2" stroke-width="2"/></svg>',
        nextArrow: '<svg class="slick-next" width="19" height="32" viewBox="0 0 19 32" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="stroke" d="M2.6 30L17 16L2.6 2" stroke-width="2"/></svg>',
        focusOnSelect: true,
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: true,
    });



       $('.testmonials').slick({
        dots: true,
        focusOnSelect: true,
        slidesToShow: 2,
        slidesToScroll: 1,
        focusOnSelect: true,
//        autoplay: true,
        arrows: false,
        responsive: [
            {
                breakpoint: 1023,
                settings: {
                    slidesToShow: 1
                }
			}
		]
    });
    
    $('.skills').slick({
        arrows: false,
        centerMode: true,
        dots: true,
        slidesToShow:3,
        responsive: [
            {
                breakpoint: 1444,
                settings: {
                    arrows: false,
                    slidesToShow: 2
                }
    },
            {
                breakpoint: 1023,
                settings: {
                    arrows: false,
                    centerMode: true,
                    slidesToShow: 1
                }
    },
            {
                breakpoint: 767,
                settings: {
                    arrows: false,
                    centerMode: false,
                    slidesToShow: 1
                }
    },
  ]
    });
    
    $('.brandItems').slick({
        arrows: false,
        dots: false,
        slidesToShow: 4,
        responsive: [
            {
                breakpoint: 767,
                settings: {
                    arrows: false,
                    slidesToShow: 3
                }
    },
            {
                breakpoint: 565,
                settings: {
                    arrows: false,
                    slidesToShow: 2
                }
    }
  ]
    });
    
    
    
    
var counted = 0;
$(window).scroll(function() {

  var oTop = $('#counter').offset().top - window.innerHeight;
  if (counted == 0 && $(window).scrollTop() > oTop) {
    $('.counter-value').each(function() {
      var $this = $(this),
        countTo = $this.attr('data-count');
      $({
        countNum: $this.text()
      }).animate({
          countNum: countTo
        },

        {

          duration: 2000,
          easing: 'swing',
          step: function() {
            $this.text(Math.floor(this.countNum));
          },
          complete: function() {
            $this.text(this.countNum);
            //alert('finished');
          }

        });
    });
    counted = 1;
  }

});
   
   
           $('#bar1').barfiller();
           $('#bar2').barfiller();
           $('#bar3').barfiller();
           $('#bar4').barfiller();


    
    
    
  
	var mixer = mixitup('.mixLists');

});


